/*  signal0.c (Praktikum, Arbeitsblatt 8)

    Vorlesung Betriebssysteme
    Hans-Georg Esser, FOM
    h.g.esser@gmx.de
*/

#include <stdio.h>
#include <signal.h> 

// Signal-Handler
void handle_SIGUSR1(int sig_num) {
  // signal(SIGINT, SIG_DFL);
  printf("\n--SIGUSR1 erhalten!--\n");
  fflush(stdout);
}

// Hauptprogramm
int main() {
  // Signal-Handler fuer SIGUSR1 anmelden
  signal (SIGUSR1, handle_SIGUSR1);

  // Hauptprogramm: Punkte ausgeben...
  for ( ;; ) {
    sleep(1);
    printf("."); fflush(stdout);
  }
}
